using System;
using SIS.Contracts.PersonDetailsModul;

namespace SIS.PersonDetailsModul
{
    public class PersonDetailsController: IPersonDetailsController 
    {
        private readonly IPersonDetailsView _view;
        private readonly IPersonDetailsViewModel _viewModel;

        public PersonDetailsController(IPersonDetailsView view, IPersonDetailsViewModel viewModel)
        {
            _view = view;
            _viewModel = viewModel;
        }

        public void Run()
        {
            _view.Model = _viewModel;
        }

        public IPersonDetailsView View
        {
            get
            {
                return _view;
            }
        }
    }
}