using System;
using System.Collections.Generic;
using SIS.Contracts.PersonService;
using SIS.Model;

namespace SIS.PersonListModul.UnitTest
{
    public class PersonServiceFake: IPersonService 
    {
        public List<Person> GetPersons()
        {
            List<Person> list = new List<Person>();
            for (int i = 0; i < 10; i++)
            {
                var key = i.ToString();

                list.Add( new Person(){ Firstname = key, Id =  key, Lastname = key});
            }

            return list;
        }

        public Person GetPersonById(string id)
        {
            return new Person() {Firstname = id, Id = id, Lastname = id};
        }
    }
}