namespace SIS.Contracts.ConfigRepository
{
    public interface IConfigRepository
    {
        /// <summary>
        /// Gets or sets the persons file path.
        /// </summary>
        /// <value>The persons file path.</value>
        string PersonsFilePath { get; }

        /// <summary>
        /// Gets or sets the picture file path.
        /// </summary>
        /// <value>The picture file path.</value>
        string PictureFilePath { get; }
    }
}