using System.Collections.ObjectModel;
using System.Windows.Input;
using SIS.Model;

namespace SIS.Contracts.PersonListModul
{
    public interface IPersonListViewModel
    {

        ObservableCollection<Person> PersonsCollection { get; }

        Person SelectedPerson { get; set; }

        ICommand GetPersonsCommand { get; }
        ICommand PersonSelectedCommand { get; }
    }
}