using System.Collections.Generic;
using SIS.Model;

namespace SIS.Contracts.PersonService
{
    public interface IPersonService
    {
        /// <summary>
        /// Gets the persons.
        /// </summary>
        /// <returns></returns>
        List<Person> GetPersons();

        /// <summary>
        /// Gets the person by id.
        /// </summary>
        /// <param name="id">The id.</param>
        /// <returns></returns>
        Person GetPersonById(string id);
    }
}