using Microsoft.VisualStudio.TestTools.UnitTesting;
using Rhino.Mocks;
using SIS.Contracts.PersonDetailsModul;

namespace SIS.PersonDetailsModul.UnitTests
{
    [TestClass]
    public class PersonControllerFixture
    {

        [TestMethod]
        public void Run_validViewValidViewModel_ReturnView()
        {

            var view = MockRepository.GenerateStub<IPersonDetailsView>();
            var viewModel = MockRepository.GenerateStub<IPersonDetailsViewModel>();
            var c = new PersonDetailsController(view, viewModel);

            c.Run();

            Assert.AreEqual( view, c.View);
        }
    }
}