using System;
using SIS.Contracts.PersonListModul;

namespace SIS.PersonListModul
{
    public class PersonListController: IPersonListController 
    {
        private readonly IPersonListView _view;
        private readonly IPersonListViewModel _personListViewModel;

        public PersonListController(IPersonListView view, IPersonListViewModel personListViewModel)
        {
            _view = view;
            _personListViewModel = personListViewModel;
        }

        public void Run()
        {
            _view.Model = _personListViewModel;
            
        }

        public IPersonListView View
        {
            get { return _view; }
        }
    }
}