using System;
using System.Collections.Generic;
using System.Linq;
using SIS.Contracts.PersonRepository;
using SIS.Model;

namespace SIS.PersonService.UnitTest
{
    public class PersonRepositoryFake: IPersonRepository 
    {
        public IQueryable<Person> GetPersons()
        {
            var persons = new List<Person>();
            for (int i = 0; i < 10; i++)
            {
                string k = i.ToString();
                persons.Add(new Person() { Id = k, Firstname = "Firstname " + k, Lastname = "Lastname " + k});    
            }

            return persons.AsQueryable();
            
        }
    }
}