using System;
using SIS.Contracts.Shell;

namespace SIS.Shell
{
    public class ShellPresenter : IShellPresenter
    {
        private readonly IShellView _shellView;

        /// <summary>
        /// Initializes a new instance of the <see cref="ShellPresenter"/> class.
        /// </summary>
        /// <param name="shellView">The shell view.</param>
        public ShellPresenter(IShellView shellView)
        {
            _shellView = shellView;
        }

        /// <summary>
        /// Gets the view.
        /// </summary>
        /// <value>The view.</value>
        public IShellView View
        {
            get { return _shellView; }
        }
    }
}