﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;

namespace SIS
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            startApplication();

        }

        static void startApplication()
        {
            AppDomain.CurrentDomain.UnhandledException += appDomainUnhandledException;

            var bootstrapper = new SisBootstrapper();
            bootstrapper.Run();
            
        }

        private static void appDomainUnhandledException(object sender, UnhandledExceptionEventArgs e)
        {
            MessageBox.Show(e.ExceptionObject.ToString());
        }
    }
}